Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Thread_Lane_Resources_Manager Class Reference

This class is a manager for thread resources. More...

`#include <Thread_Lane_Resources_Manager.h>`

Inheritance diagram for TAO_Thread_Lane_Resources_Manager

[legend]
Collaboration diagram for TAO_Thread_Lane_Resources_Manager:

[legend]
List of all members.

## Public Methods
| TAO_Thread_Lane_Resources_Manager (TAO_ORB_Core &orb_core)
| Constructor.
virtual | ~TAO_Thread_Lane_Resources_Manager (void)
| Destructor.
virtual void | finalize (void) = 0
| Finalize resources.
virtual int | open_default_resources (CORBA_Environment &ACE_TRY_ENV) = 0
| Open default resources.
virtual void | shutdown_reactor (void) = 0
| Shutdown reactor.
virtual int | is_collocated (const TAO_MProfile& mprofile) = 0
virtual TAO_Thread_Lane_Resources& | lane_resources (void) = 0
virtual TAO_Thread_Lane_Resources& | default_lane_resources (void) = 0
TAO_LF_Strategy& | lf_strategy (void)
## Protected Attributes
TAO_ORB_Core* | orb_core_
| The ORB Core.
TAO_LF_Strategy* | lf_strategy_
| The leader follower strategy.

## Detailed Description

This class is a manager for thread resources.

## Constructor & Destructor Documentation

TAO_Thread_Lane_Resources_Manager::TAO_Thread_Lane_Resources_Manager ( | TAO_ORB_Core & orb_core )`[inline]`

| Constructor.

TAO_Thread_Lane_Resources_Manager::~TAO_Thread_Lane_Resources_Manager ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

virtual TAO_Thread_Lane_Resources& TAO_Thread_Lane_Resources_Manager::default_lane_resources ( | void )`[pure virtual]`

| Reimplemented in TAO_Default_Thread_Lane_Resources_Manager.

void TAO_Thread_Lane_Resources_Manager::finalize ( | void )`[pure virtual]`

| Finalize resources. Reimplemented in TAO_Default_Thread_Lane_Resources_Manager.

virtual int TAO_Thread_Lane_Resources_Manager::is_collocated ( | const TAO_MProfile & mprofile )`[pure virtual]`

| Reimplemented in TAO_Default_Thread_Lane_Resources_Manager.

TAO_Thread_Lane_Resources & TAO_Thread_Lane_Resources_Manager::lane_resources ( | void )`[pure virtual]`

| Reimplemented in TAO_Default_Thread_Lane_Resources_Manager.

TAO_LF_Strategy & TAO_Thread_Lane_Resources_Manager::lf_strategy ( | void )

int TAO_Thread_Lane_Resources_Manager::open_default_resources ( | CORBA_Environment & ACE_TRY_ENV )`[pure virtual]`

| Open default resources. Reimplemented in TAO_Default_Thread_Lane_Resources_Manager.

void TAO_Thread_Lane_Resources_Manager::shutdown_reactor ( | void )`[pure virtual]`

| Shutdown reactor. Reimplemented in TAO_Default_Thread_Lane_Resources_Manager.

## Member Data Documentation

TAO_LF_Strategy * TAO_Thread_Lane_Resources_Manager::lf_strategy_`[protected]`

| The leader follower strategy.

TAO_ORB_Core * TAO_Thread_Lane_Resources_Manager::orb_core_`[protected]`

| The ORB Core.

The documentation for this class was generated from the following files:

- Thread_Lane_Resources_Manager.h
- Thread_Lane_Resources_Manager.cpp